com.pixelmed.network

## Class MultipleInstanceTransferStatusHandler

- java.lang.Object
- - com.pixelmed.network.MultipleInstanceTransferStatusHandler

Direct Known Subclasses:
  MultipleInstanceTransferStatusHandlerWithFileName, NetworkMediaImporter.OurMultipleInstanceTransferStatusHandler

    public abstract class MultipleInstanceTransferStatusHandler
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`MultipleInstanceTransferStatusHandler()`

### Method Summary

Methods
`abstract void` `updateStatus(int nRemaining, int nCompleted, int nFailed, int nWarning, java.lang.String sopInstanceUID)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MultipleInstanceTransferStatusHandler

    public MultipleInstanceTransferStatusHandler()

### Method Detail

#### updateStatus

    public abstract void updateStatus(int nRemaining,
                    int nCompleted,
                    int nFailed,
                    int nWarning,
                    java.lang.String sopInstanceUID)